Package javax.mail.search

# Class MessageNumberTerm

java.lang.Object
javax.mail.search.SearchTerm
javax.mail.search.ComparisonTerm
javax.mail.search.IntegerComparisonTerm
javax.mail.search.MessageNumberTerm

All Implemented Interfaces:
  `Serializable`

public final class MessageNumberTerm extends IntegerComparisonTerm
This class implements comparisons for Message numbers.

Author:
  Bill Shannon, John Mani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.mail.search.IntegerComparisonTerm

`number`

### Fields inherited from class javax.mail.search.ComparisonTerm

`comparison, EQ, GE, GT, LE, LT, NE`

## Constructor Summary

Constructors
Constructor
Description
`MessageNumberTerm(int number)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`boolean`
`match(Message msg)`
The match method.

### Methods inherited from class javax.mail.search.IntegerComparisonTerm

`getComparison, getNumber, hashCode, match`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageNumberTerm

public MessageNumberTerm(int number)
Constructor.

Parameters:
  `number` - the Message number

## Method Details

### match

public boolean match(Message msg)
The match method.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - the Message number is matched with this Message
Returns:
  true if the match succeeds, otherwise false

### equals

public boolean equals(Object obj)
Equality comparison.

Overrides:
  `equals` in class `IntegerComparisonTerm`